Package uk.ac.starlink.vo

# Enum Class TapTableLoadDialog.TapRunMode

java.lang.Object
java.lang.Enum<TapTableLoadDialog.TapRunMode>
uk.ac.starlink.vo.TapTableLoadDialog.TapRunMode

All Implemented Interfaces:
  `Serializable`, `Comparable<TapTableLoadDialog.TapRunMode>`, `Constable`

Enclosing class:
  `TapTableLoadDialog`

public static enum TapTableLoadDialog.TapRunMode extends Enum<TapTableLoadDialog.TapRunMode>
Enum for TAP run modes.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ASYNC`
Asynchronous load into application.
`LOOK`
Quick look in popup window.
`SYNC`
Synchronous load into application.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isSynchronous()`
Indicates whether this run mode executes synchronously.
`String`
`toString()`
`static TapTableLoadDialog.TapRunMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TapTableLoadDialog.TapRunMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SYNC

public static final TapTableLoadDialog.TapRunMode SYNC
Synchronous load into application.

### ASYNC

public static final TapTableLoadDialog.TapRunMode ASYNC
Asynchronous load into application.

### LOOK

public static final TapTableLoadDialog.TapRunMode LOOK
Quick look in popup window.

## Method Details

### values

public static TapTableLoadDialog.TapRunMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static TapTableLoadDialog.TapRunMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isSynchronous

public boolean isSynchronous()
Indicates whether this run mode executes synchronously.

Returns:
  true for sync, false for async

### toString

public String toString()

Overrides:
  `toString` in class `Enum<TapTableLoadDialog.TapRunMode>`